Getting Started with the Vue TextArea Component in Vue 2

10 Feb 20267 minutes to read

This article provides a step-by-step guide for setting up a Vue 2 project using Vue-CLI and integrating the Syncfusion® Vue TextArea component.

To get started quickly with Vue TextArea, check this video:

Prerequisites

System requirements for Syncfusion® Vue UI components

Setup the Vue 2 project

To generate a Vue 2 project using Vue-CLI, use the vue create command. Follow these steps to install Vue CLI and create a new project:

npm install -g @vue/cli
vue create quickstart
cd quickstart
npm run serve

or

yarn global add @vue/cli
vue create quickstart
cd quickstart
yarn run serve

When creating a new project, choose the option Default ([Vue 2] babel, eslint) from the menu.

Vue 2 project

Once the quickstart project is set up with default settings, proceed to add Syncfusion® components to the project.

Add syncfusion® vue packages

Syncfusion® packages are available at npmjs.com. To use Vue components, install the required npm package.

This article uses the Vue TextArea component as an example. Install the @syncfusion/ej2-vue-inputs package by running the following command:

npm install @syncfusion/ej2-vue-inputs --save

or

yarn add @syncfusion/ej2-vue-inputs

Import syncfusion® css styles

Syncfusion® components require CSS stylesheets to display correctly. You can import themes in various ways, such as using CSS or SASS styles from npm packages, CDN, CRG, and Theme Studio. Refer to themes topic to learn more about built-in themes and different ways to reference themes in a Vue project.

In this article, the Material3 theme is applied using CSS styles, which are available in installed packages. The necessary Material3 CSS styles for the TextArea component and its dependents were imported into the <style> section of the src/App.vue file.

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
</style>

The order of CSS imports matters. Import base styles first, then component-specific styles. Missing CSS imports can result in misaligned layouts, buttons without styling, or missing visual elements in popups and dialogs.

Add Syncfusion® Vue component

Follow the below steps to add the Vue TextArea component:

1. First, import and register the TextArea component in the script section of the src/App.vue file.

<script setup>
import { TextAreaComponent as EjsTextArea } from "@syncfusion/ej2-vue-inputs";
</script>
<script>
import { TextAreaComponent } from "@syncfusion/ej2-vue-inputs";
export default {
name: "App",
components: {
"ejs-textarea':":TextareaComponent
}
}
</script>

In the template section define the TextArea component.

<template>
    <div class='wrap'>
        <ejs-textarea id="default"></ejs-textarea>
    </div>
</template>

Run the project

To run the project, use the following command:

npm run serve

or

yarn run serve

Here is the summarized code for the above steps in the src/App.vue file:

<template>
  <div class='wrap'>
    <div id='input-container'>
      <ejs-textarea id='default'></ejs-textarea>
    </div>
  </div>
</template>
<script setup>

import { TextAreaComponent as EjsTextarea } from '@syncfusion/ej2-vue-inputs';

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>
<template>
  <div class='wrap'>
    <div id='input-container'>
      <ejs-textarea id='default'></ejs-textarea>
    </div>
  </div>
</template>
<script>
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';

export default {
  name: "App",
  components: {
    "ejs-textarea": TextAreaComponent
  },
  data: function () {
    return {}
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>

Getting and setting values

To set the initial value of the TextArea component, you can utilize the value property. Here’s how you can achieve it:

<template>
    <div class='wrap'>
        <ejs-textarea id="default" value="comments"></ejs-textarea>
    </div>
</template>

<script setup>

import { TextAreaComponent  } from "@syncfusion/ej2-vue-inputs";

export default {
    components: {
    'ejs-textarea': TextAreaComponent
    },
    data: function() {
      return { }
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}

</style>
  • Alternatively, you can set the value of the TextArea using v-model.
<template>
    <div class='wrap'>
        <ejs-textarea id="default" v-model="value"></ejs-textarea>
    </div>
</template>

<script setup>

import { TextAreaComponent  } from "@syncfusion/ej2-vue-inputs";

export default {
    components: {
    'ejs-textarea': TextAreaComponent
    },
    data: function() {
      return {
        value: 'Comments'
      }
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}

</style>
  • You can dynamically retrieve the value of the TextArea component using the value property bound to v-model of the TextArea component.
<template>
    <div class='wrap'>
        <ejs-textarea id="default" v-model="value"></ejs-textarea>
        <button id="valuebtn" @click="onButtonClick">Get Value</button>
    </div>
</template>

<script setup>

import { TextAreaComponent  } from "@syncfusion/ej2-vue-inputs";

export default {
    components: {
        'ejs-textarea': TextAreaComponent
    },
    data() {
        return {
            value: 'Comments'
        }
    },
    methods: {
        onButtonClick() {
            // Retrieve the value from the textarea
            const textareaValue = this.value;
            console.log(textareaValue);
        }
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}
</style>
  • You can retrieve the value of the TextArea by accessing it as an argument from the change event.
<template>
    <div class='wrap'>
        <ejs-textarea id="default" v-model="value" :change="onChange"></ejs-textarea>
    </div>
</template>

<script setup>

import { TextAreaComponent  } from "@syncfusion/ej2-vue-inputs";

export default {
    components: {
        'ejs-textarea': TextAreaComponent
    },
    data() {
        return {
            value: 'Comments'
        }
    },
    methods: {
        onChange: function(args) {
          let textareaValue = args.value;
        }
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}
</style>

Getting Started with React TextArea component

10 Feb 20267 minutes to read

This section explains the steps required to create a simple React TextArea component and demonstrate its basic usage in a React environment.

Ready to streamline your Syncfusion® React development? Discover the full potential of Syncfusion® React components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant.

To get started quickly with React TextArea, you can watch this video:

Setup for local development

Easily set up a React application using create-vite-app, which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up your environment using JavaScript and optimizes your application for production.

Note: To create a React application using create-react-app, refer to this documentation for more details.

To create a new React application, run the following command.

npm create vite@latest my-app

This command will prompt you for a few settings for the new project, such as selecting a framework and a variant.

Initial_setup

To set up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app
npm run dev

To set up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app
npm run dev

Adding Syncfusion® TextArea packages

All the available Essential® JS 2 packages are published in the npmjs.com public registry.
To install the TextArea component, use the following command

npm install @syncfusion/ej2-react-inputs --save

The –save will instruct NPM to include the TextArea package inside of the dependencies section of the package.json.

Adding CSS reference

The following CSS files are available in the ../node_modules/@syncfusion package folder. Add these as references in src/App.css.

@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-inputs/styles/tailwind3.css";

To refer App.css in the application then import it in the src/App.tsx file.

Adding TextArea component

The React TextArea component can be added to the application by following these steps. To get started, add the TextArea component to the src/App.tsx file using the following code.

The following textarea code should be placed in the src/App.tsx file.

import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import './App.css';

function App() {
  return (
    <TextAreaComponent id='default'></TextAreaComponent>
  );
}
export default App;

Run the application

Run the npm run dev command in the terminal to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The output appears as follows.

// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';
// To render TextArea.
function App() {
    return (<div className='wrap'>
            <TextAreaComponent id='default'></TextAreaComponent>
        </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('input-container'));
// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render TextArea.
function App() {
  
    return (
        <div className='wrap'>
            <TextAreaComponent id='default'></TextAreaComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));

Getting and setting values

To set the initial value of the TextArea component, use the value property. Here’s how you can achieve it:

import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import './App.css';

function App() {
  return (
    <div className='wrap'>
      <TextAreaComponent id='default' value='Comments'></TextAreaComponent>
    </div>
  );
}
export default App;
  • Alternatively, set the value of the TextArea using a state variable.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import { useState } from 'react';
import * as React from 'react';
import './App.css';

function App() {
  // Declare state variable textValue and a function setTextValue to update it.
  const [textValue, setTextValue] = useState("comments");
  return (
    <div className='wrap'>
      <TextAreaComponent id='default' value={textValue}></TextAreaComponent>
    </div>
  );
}
export default App;
  • Dynamically retrieve the value of the TextArea component using the state variable assigned to the value property.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import { useState } from 'react';
import * as React from 'react';
import './App.css';

function App() {
  const [textValue, setTextValue] = useState("comments");
  function onButtonClick() {
    // Get the value of the TextArea using state variable.
    let value = textValue;
  }
  return (
    <div className='wrap'>
      <TextAreaComponent id='default' value={textValue}></TextAreaComponent>
      <button id="valuebtn" onClick={onButtonClick.bind(this)}>Get Value</button>
    </div>
  );
}
export default App;
  • Retrieve the value of the TextArea by accessing it from the change event arguments.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import type { ChangedEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import './App.css';

function App() {
  // triggers when the content of TextArea has changed and gets focus-out.
  function change(args: ChangedEventArgs) {
    // Get the value of the TextArea from event arguments.
    let value = args.value;
  }
  return (
    <div className='wrap'>
      <TextAreaComponent id='default' value='Comments' change={change}></TextAreaComponent>
    </div>
  );
}
export default App;

Refer to the React TextArea feature tour page for its groundbreaking feature representations. You can also explore our React TextArea component example that shows how to render the TextArea in React.

Getting started with Angular TextArea component

10 Mar 20269 minutes to read

This guide demonstrates how to create a simple TextArea component using the Angular CLI.

Note: This guide supports Angular 21 and other recent Angular versions. For detailed compatibility with other Angular versions, please refer to the Angular version support matrix. Starting from Angular 19, standalone components are the default, and this guide reflects that architecture.

Ready to streamline your Syncfusion® Angular development? Discover the full potential of Syncfusion® Angular components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant

Prerequisites

Ensure your development environment meets the System Requirements for Syncfusion Angular UI Components.

Dependencies

The following list of dependencies are required to use the TextArea component in your application.

|-- @syncfusion/ej2-angular-inputs
    |-- @syncfusion/ej2-angular-base
    |-- @syncfusion/ej2-inputs
        |-- @syncfusion/ej2-base

SetUp the Angular application

A straightforward approach to beginning with Angular is to create a new application using the Angular CLI. Install Angular CLI globally with the following command:

npm install -g @angular/cli

Angular 21 Standalone Architecture: Standalone components are the default in Angular 21. This guide uses the modern standalone architecture. If you need more information about the standalone architecture, refer to the Standalone Guide.

Installing a specific version

To install a particular version of Angular CLI, use:

npm install -g @angular/[email protected]

Create a new application

With Angular CLI installed, execute this command to generate a new application:

ng new syncfusion-angular-app
  • This command will prompt you to configure settings like enabling Angular routing and choosing a stylesheet format.
? Which stylesheet format would you like to use? (Use arrow keys)
> CSS             [ https://developer.mozilla.org/docs/Web/CSS                     ]
  Sass (SCSS)     [ https://sass-lang.com/documentation/syntax#scss                ]
  Sass (Indented) [ https://sass-lang.com/documentation/syntax#the-indented-syntax ]
  Less            [ http://lesscss.org                                             ]
  • By default, a CSS-based application is created. Use SCSS if required:
ng new syncfusion-angular-app --style=scss
  • During project setup, when prompted for the Server-side rendering (SSR) option, choose the appropriate configuration.

Initial_setup

  • Select the required AI tool or ‘none’ if you do not need any AI tool.

Initial_setup

  • Navigate to your newly created application directory:
cd syncfusion-angular-app

Note: In Angular 19 and below, it uses app.component.ts, app.component.html, app.component.css etc. In Angular 20+, the CLI generates a simpler structure with src/app/app.ts, app.html, and app.css (no .component. suffixes).

Installing syncfusion® TextArea package

Syncfusion®’s Angular component packages are available on npmjs.com. To use Syncfusion® Angular components, install the necessary package.

This guide uses the Angular TextArea component for demonstration. Add the Angular TextArea component component with:

ng add @syncfusion/ej2-angular-inputs

This command will perform the following configurations:

  • Add the @syncfusion/ej2-angular-inputs package and peer dependencies to your package.json.
  • Import the TextArea component component in your application.
  • Register the default Syncfusion® material theme in angular.json.

For more details on version compatibility, refer to the Version Compatibility section.

Syncfusion® offers two package structures for Angular components:

  1. Ivy library distribution package format
  2. Angular compatibility compiler (ngcc), which is Angular’s legacy compilation pipeline.
    Syncfusion®’s latest Angular packages are provided as Ivy-compatible and suited for Angular 12 and above. To install the package, execute:
    ng add @syncfusion/ej2-angular-inputs

    For applications not compiled with Ivy, use the ngcc tagged packages:

    The ngcc packages are still compatible with Angular CLI versions 15 and below. However, they may generate warnings suggesting the use of IVY compiled packages. Starting from Angular 16, support for the ngcc package has been completely removed. If you have further questions regarding ngcc compatibility, please refer to the following FAQ.

    npm add @syncfusion/[email protected]

Adding CSS reference

Syncfusion® Angular component themes can be added in various ways: via CSS or SCSS styles from npm packages, CDN, CRG, or Theme Studio.

The Material theme is added to your styles.css when you run ng add (this happens automatically by default).

To stylize only specific Syncfusion® components, import the necessary styles. For example, to style only the TextArea component:

@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material3.css';

Ensure that the import order aligns with the component’s dependency sequence.

For using SCSS styles, refer to this guide.

Adding TextArea to the application

Use the following snippet in the src/app/app.ts file to import the TextArea component.

import { TextAreaModule } from '@syncfusion/ej2-angular-inputs';
import { Component } from '@angular/core';

@Component({
  imports: [TextAreaModule],
  standalone: true,
  selector: 'app-root',
  template: `<ejs-textarea id="default"></ejs-textarea>`
})

export class App { }

Running the application

After completing the configuration required to render a basic TextArea, run the following command to display the output in your default browser.

ng serve

The following example illustrates the output in your browser.

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { TextAreaModule } from '@syncfusion/ej2-angular-inputs';
import { Component } from '@angular/core';
import { TextBoxComponent } from '@syncfusion/ej2-angular-inputs';

@Component({
  imports: [TextAreaModule],
  standalone: true,
  selector: 'app-root',
  template: `<div class="wrap">
    <div class='textarea'>
      <ejs-textarea id="default"></ejs-textarea>
    </div>
  </div>`
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Getting and setting values

Set the initial value of the TextArea component using the value property:

import { Component } from '@angular/core';
import { TextAreaModule } from '@syncfusion/ej2-angular-inputs';

@Component({
  imports: [TextAreaModule],
  standalone: true,
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
    <div class='wrap'>
      <ejs-textarea id="default" value="Comments"></ejs-textarea>
    </div>`
})

export class App { }
  • Alternatively, set the value of the TextArea using ngModel.
import { Component } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { TextAreaModule } from '@syncfusion/ej2-angular-inputs';

@Component({
  imports: [TextAreaModule, FormsModule],
  standalone: true,
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
    <div class='wrap'>
      <ejs-textarea id="default" [(ngModel)]="value"></ejs-textarea>
    </div>`
})

export class App {
  value: string = 'Comments';
}
  • Retrieve the current value from the property bound via ngModel.
import { Component } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { TextAreaModule } from '@syncfusion/ej2-angular-inputs';

@Component({
  imports: [TextAreaModule, FormsModule],
  standalone: true,
  selector: 'app-root',
  template: `
    <div class='wrap'>
      <ejs-textarea id="default" [(ngModel)]="value"></ejs-textarea>
      <button id="valuebtn" (click)="onButtonClick()">Get Value</button>
    </div>
  `
})
export class App {
  value: string = 'Comments'; // Set the initial value here

  onButtonClick() {
    // Get the value of the TextArea
    let textareaValue = this.value;
  }
}
  • Retrieve the value from the change event argument.
import { Component } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { TextAreaModule, ChangedEventArgs } from '@syncfusion/ej2-angular-inputs';

@Component({
  imports: [TextAreaModule, FormsModule],
  standalone: true,
  selector: 'app-root',
  template: `<!-- To Render TextArea component. -->
    <div class="wrap">
      <ejs-textarea id='default' (change)="onChange($event)"></ejs-textarea>
    </div>`
})

export class App {
  public onChange(args: ChangedEventArgs) {
    // Get the value of the TextArea component
    let textareaValue = args.value;
  };
}